Bug 1302238 - Tenant "services" doesnt exist on overcloud. "service" exists.
Tenant "services" doesnt exist on overcloud. "service" exists.
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
Unspecified Linux
low Severity unspecified
: ---
: ---
Assigned To: Hugh Brock
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 05:03 EST by Alexander Stafeyev
Modified: 2017-02-06 18:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-06 18:45:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Stafeyev 2016-01-27 05:03:01 EST
Description of problem:
Executing command  openstack project list ( or keystone tenant-list) 
shows tenant "service" while in packstack installation it was "services" 

OSPD Liberty 1 compute 1 Controller setup: 
[stack@instack ~]$ openstack project list 
+----------------------------------+---------+
| ID                               | Name    |
+----------------------------------+---------+
| dab0ece743904fe4bac62c295a12c37c | admin   |
| 62bb0a17bda44ed485dd7dcf67b36889 | service |<---------
+----------------------------------+---------+

Packstack Liberty AllInOne setup. 
+----------------------------------+----------+
| ID                               | Name     |
+----------------------------------+----------+
| 74ea0cac98b04aab9a311573640e6895 | admin    |
| a46845b2bb724c65bc76bf1a0c17c9a8 | services |<----------
+----------------------------------+----------+
[root@rheldesignate ~(keystone_admin)]# 


Saw it when trying to manually install and integrate Deisgnate. 
For packstack worked well , for ospd this little difference caused an issue. 


Version-Release number of selected component (if applicable):
Liberty 
[stack@instack ~]$ rpm -qa | grep keystone
python-keystonemiddleware-2.3.1-1.el7ost.noarch
openstack-keystone-8.0.1-1.el7ost.noarch
python-keystoneclient-1.7.2-1.el7ost.noarch
python-keystoneauth1-1.1.0-4.el7ost.noarch
python-keystone-8.0.1-1.el7ost.noarch


How reproducible:
100%

Steps to Reproduce:
1.Install Liberty 1 non HA 
2.execute openstack project list ( keystone tenant-list) from overcloudrc source
3.

Actual results:
Tenant "services" does not exist. "Service" does. 

Expected results:


Additional info:
!!!! from instack machine!!!!
[stack@instack ~]$ . stackrc 
[stack@instack ~]$ openstack project list 
+----------------------------------+----------+
| ID                               | Name     |
+----------------------------------+----------+
| a45480ebd3f142c69c6a64f0931cdcf0 | admin    |
| a5ab3a9380b24634b2bc74c497c39e62 | services |
| ed29ef34b2f04de297829e67c4c81184 | service  |
+----------------------------------+----------+
[stack@instack ~]$ . overcloudrc 
[stack@instack ~]$ openstack project list
+----------------------------------+---------+
| ID                               | Name    |
+----------------------------------+---------+
| dab0ece743904fe4bac62c295a12c37c | admin   |
| 62bb0a17bda44ed485dd7dcf67b36889 | service |
+----------------------------------+---------+
Comment 3 Mike Burns 2016-04-07 17:07:13 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 5 Alex Schultz 2017-02-06 18:45:37 EST
I believe the use of 'service' has been standardized for all services deployed via OSP. If there is still a service that doesn't use 'service', please reopen this bug. I do not believe we intend to switch them all to 'services'.

Note You need to log in before you can comment on or make changes to this bug.